title: Cluster container
type: object
description: Represents a Kubernetes cluster container
properties:
  name:
    type: string
  image:
    type: string
  environment:
    type: array
    items:
      $ref: './cluster_environment_variable.yaml'
  resources:
    $ref: './cluster_resources.yaml'